PETSc version 3.15.5
Fix/Edit manual page

# PCMGSetInjection

Sets the function to be used to inject primal vectors from level l to l-1.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetInjection(PC pc,PetscInt l,Mat mat)

Logically Collective on PC

### Input Parameters

| pc | - the multigrid context
| l | - the level (0 is coarsest) to supply [Do not supply 0]
| mat | - the injection matrix

### See Also

PCMGSetRestriction()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages